summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 18:26:37 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 18:26:37 +0000
commitfa623ef3bfd0ab30538a96f8be075c5c453cb241 (patch)
tree144d91d2138d787fb8f03a75e25470463f238576
parentgames-rpg/bs2-demo: New ebuild for bug 142430 (diff)
downloadsunrise-fa623ef3bfd0ab30538a96f8be075c5c453cb241.tar.gz
sunrise-fa623ef3bfd0ab30538a96f8be075c5c453cb241.tar.bz2
sunrise-fa623ef3bfd0ab30538a96f8be075c5c453cb241.zip
games-rpg/bs2: New ebuild for bug 189961
svn path=/sunrise/; revision=4494
-rw-r--r--games-rpg/bs2/ChangeLog8
-rw-r--r--games-rpg/bs2/Manifest5
-rw-r--r--games-rpg/bs2/bs2-1.ebuild69
-rw-r--r--games-rpg/bs2/files/bs2.pngbin0 -> 544 bytes
-rw-r--r--games-rpg/bs2/metadata.xml5
5 files changed, 87 insertions, 0 deletions
diff --git a/games-rpg/bs2/ChangeLog b/games-rpg/bs2/ChangeLog
new file mode 100644
index 000000000..0b934a99b
--- /dev/null
+++ b/games-rpg/bs2/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-rpg/bs2
+# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 23 Aug 2007; Nathan Egge (unlord) <nathanegge@yahoo.com> +files/bs2.png,
+ +metadata.xml, +bs2-1.ebuild:
+ New ebuild for bug 189961
+
diff --git a/games-rpg/bs2/Manifest b/games-rpg/bs2/Manifest
new file mode 100644
index 000000000..956be7951
--- /dev/null
+++ b/games-rpg/bs2/Manifest
@@ -0,0 +1,5 @@
+AUX bs2.png 544 RMD160 4551d53fa83768d09c2dc7ddf63c3d6c77f6aa60 SHA1 c35d1dd775f5567f9d9e86d6494faf34a6704966 SHA256 786cbd57e57dcf9b1b1afeb6a52e632433ff27c4e0987f25883027b20057aad6
+DIST Sword2_DXA_Cutscenes.zip 116569923 RMD160 0d1b65ba49e3c4a8630651d8f083a962f2a849a6 SHA1 a89dd122150aa2c1d158e045134cedf6fe5b0983 SHA256 8f94c889bcc31e47d0fb477bafa438f6c0a3ae378e6edcebf92e596144b776bb
+EBUILD bs2-1.ebuild 2216 RMD160 9ef29e86b7e0082108875edb1b526b962b831b83 SHA1 93a615f854128e31a0bddeff20492e0456ce3760 SHA256 629e37a1a1c13fc236465a94000239ecc82db855304a6574efde44a3516e24cc
+MISC ChangeLog 250 RMD160 e8dda6cb11a5464ffba61a9cb439fe32fcd32276 SHA1 0cc50bd136e8849cd3c86a9ebc0605cd18c033de SHA256 3384ce3fbfd9fa641240cde52da688a09c4c01c13b82f167d0131a6cafb77adb
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-rpg/bs2/bs2-1.ebuild b/games-rpg/bs2/bs2-1.ebuild
new file mode 100644
index 000000000..c6e3d0a29
--- /dev/null
+++ b/games-rpg/bs2/bs2-1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="Broken Sword 2: The Smoking Mirror"
+HOMEPAGE="http://www.revolution.co.uk/_display.php?id=15"
+SRC_URI="mirror://sourceforge/scummvm/Sword2_DXA_Cutscenes.zip
+ http://gentooexperimental.org/~unlord/Sword2_DXA_Cutscenes.zip"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.10.0"
+DEPEND="app-arch/unzip"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+
+ cdrom_get_cds Clusters/Cluster.tab \
+ Clusters/Carib1.clu
+
+ einfo "Copying files from Disk 1..."
+ doins ${CDROM_ROOT}/Clusters/Cluster.tab \
+ ${CDROM_ROOT}/Clusters/Docks.clu \
+ ${CDROM_ROOT}/Clusters/Font.clu \
+ ${CDROM_ROOT}/Clusters/General.clu \
+ ${CDROM_ROOT}/Clusters/Paris.clu \
+ ${CDROM_ROOT}/Clusters/Players.clu \
+ ${CDROM_ROOT}/Clusters/Quaramon.clu \
+ ${CDROM_ROOT}/Clusters/resource.inf \
+ ${CDROM_ROOT}/Clusters/resource.tab \
+ ${CDROM_ROOT}/Clusters/SCRIPTS.CLU \
+ ${CDROM_ROOT}/Clusters/Text.clu \
+ ${CDROM_ROOT}/Clusters/Warehous.clu \
+ ${CDROM_ROOT}/Sword2/cd.inf \
+ ${CDROM_ROOT}/Sword2/Startup.inf || die "doins failed"
+ newins ${CDROM_ROOT}/Clusters/Music.clu Music1.clu || die "newins failed"
+ newins ${CDROM_ROOT}/Clusters/speech.clu speech1.clu || die "newins failed"
+
+ cdrom_load_next_cd
+ einfo "Copying files from Disk 2..."
+ doins ${CDROM_ROOT}/Clusters/Carib1.clu \
+ ${CDROM_ROOT}/Clusters/Carib2.clu \
+ ${CDROM_ROOT}/Clusters/Carib3.clu \
+ ${CDROM_ROOT}/Clusters/credits.bmp \
+ ${CDROM_ROOT}/Clusters/Credits.clu \
+ ${CDROM_ROOT}/Clusters/Font.clu \
+ ${CDROM_ROOT}/Clusters/Jungle.clu \
+ ${CDROM_ROOT}/Clusters/Pyramid1.clu \
+ ${CDROM_ROOT}/Clusters/Pyramid2.clu || die "doins failed"
+ newins ${CDROM_ROOT}/Clusters/Music.clu Music2.clu || die "newins failed"
+ newins ${CDROM_ROOT}/Clusters/speech.clu speech2.clu || die "newins failed"
+
+ doins *.{dxa,fla} || die "doins failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" sword2"
+ doicon "${FILESDIR}/${PN}.png" || die "doicon failed"
+ make_desktop_entry ${PN} "Broken Sword 2" ${PN}.png
+
+ prepgamesdirs
+}
diff --git a/games-rpg/bs2/files/bs2.png b/games-rpg/bs2/files/bs2.png
new file mode 100644
index 000000000..a75973b3c
--- /dev/null
+++ b/games-rpg/bs2/files/bs2.png
Binary files differ
diff --git a/games-rpg/bs2/metadata.xml b/games-rpg/bs2/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-rpg/bs2/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>